style.css 5.0 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390
  1. *,
  2. *:after,
  3. *:before{
  4. box-sizing: inherit;
  5. }
  6. html{
  7. box-sizing: border-box;
  8. width: 100%;
  9. height: 100%;
  10. font-weight: 300;
  11. padding:0;
  12. border:0;
  13. margin:0;
  14. }
  15. body{
  16. color: #eeeeee;
  17. background: #323232;
  18. font-family: Verdana, sans-serif;
  19. font-size: 16px;
  20. line-height: 140%;
  21. padding:0;
  22. border:0;
  23. margin:0;
  24. }
  25. /* ***** lists ***** */
  26. /* ***** Gadgets ***** */
  27. input[type=text]{
  28. color: #eeeeee;
  29. background-color: #4c4c4c;
  30. border: 1px solid #4c4c4c;
  31. border-radius: 3px;
  32. font-family: Arial, Helvetica, sans-serif;
  33. font-size: 16px;
  34. padding: 4px;
  35. margin: 4px;
  36. }
  37. /* ***** code ***** */
  38. code{
  39. font-family: "Lucida Console", Monaco, monospace;
  40. font-weight: 400;
  41. white-space: nowrap;
  42. }
  43. pre{
  44. font-family: "Lucida Console", Monaco, monospace;
  45. overflow: auto;
  46. white-space: pre;
  47. background-color: #4c4c4c;
  48. padding: 4px 8px;
  49. }
  50. pre>code{
  51. white-space: pre;
  52. font-weight: 300;
  53. }
  54. div.syntax{
  55. color: #ffff00;
  56. display: block;
  57. color: #eeee00;
  58. overflow: auto;
  59. white-space: pre;
  60. padding: 4px 0px;
  61. }
  62. /* ***** link ***** */
  63. a{
  64. color: #eeee00;
  65. text-decoration: none;
  66. cursor: pointer;
  67. }
  68. a:hover{
  69. color: #00ee00;
  70. }
  71. a.nostyle{
  72. color: inherit;
  73. text-decoration: inherit;
  74. cursor: pointer;
  75. }
  76. /* ***** table ***** */
  77. table{
  78. border-spacing: 0;
  79. width: 100%;
  80. margin: 16px 0;
  81. }
  82. table.modman{
  83. font-size: 90%;
  84. table-layout: auto;
  85. margin: 0;
  86. }
  87. th,td{
  88. border-bottom: 1px solid #4c4c4c;
  89. text-align: left;
  90. padding: 4px 0;
  91. min-width: 200px;
  92. }
  93. th{
  94. color: #44ccff;
  95. font-weight: 400;
  96. }
  97. th:first-child{
  98. width: 200px;
  99. }
  100. td:first-child{
  101. width: 200px;
  102. }
  103. th.modman{
  104. padding: 0 8px;
  105. }
  106. td.modman{
  107. padding: 0 8px;
  108. }
  109. /* ***** typography ***** */
  110. p{
  111. margin-top: 16px;
  112. }
  113. h1,h2,h3,h4,h5,h6{
  114. color: #44eeff;
  115. font-weight: 400;
  116. }
  117. h1{
  118. font-size: 28px;
  119. margin: 28px 0;
  120. }
  121. h2{
  122. font-size: 24px;
  123. margin: 24px 0;
  124. }
  125. h3{
  126. font-size: 22px;
  127. margin: 22px 0;
  128. }
  129. h4{
  130. font-size: 20px;
  131. margin: 20px 0;
  132. }
  133. h5{
  134. font-size: 18px;
  135. margin: 18px 0;
  136. }
  137. h6{
  138. font-size: 16px;
  139. margin: 16px 0;
  140. }
  141. /* ***** wordpress css ***** */
  142. div.comments-area{
  143. background-color: #4c4c4c;
  144. border: 1px solid #4c4c4c;
  145. border-radius:3px;
  146. padding:8px;
  147. }
  148. /* ***** mx2-theme layout ***** */
  149. body.page_body{
  150. position:relative;;
  151. width:100%;
  152. height:100%;
  153. }
  154. /* parent: page_body */
  155. div.page_header{
  156. position:fixed;
  157. width:100%;
  158. top:0;
  159. height:72px;
  160. padding-left:12px;
  161. padding-right:16px;
  162. line-height:72px;
  163. text-align:center;
  164. background:#181818;
  165. border-bottom:1px solid #4c4c4c;
  166. z-index: 5;
  167. }
  168. .header_logo {
  169. height: 72px;
  170. }
  171. .header_logo a {
  172. display: block;
  173. height: 100%;
  174. }
  175. /* parent: page_header */
  176. div.header_title_strip{
  177. display:inline;
  178. float:left;
  179. }
  180. /* parent: page_title_strip */
  181. div.header_logo{
  182. float:left;
  183. }
  184. /* parent: page_title_strip */
  185. div.header_text{
  186. float: left;
  187. font-size: 21px;
  188. letter-spacing: -0.04em;
  189. }
  190. /* parent: page_header */
  191. div.header_button_strip{
  192. display:inline;
  193. float:right
  194. top:0;
  195. bottom:0;
  196. }
  197. /* parent: header_button_strip */
  198. a.header_button{
  199. color: #ffffff;
  200. background-color: #4c4c4c;
  201. border: 1px solid #4c4c4c;
  202. border-radius: 3px;
  203. padding: 4px 7px;
  204. font-size: 11px;
  205. font-weight: 400;
  206. cursor: pointer;
  207. text-align: center;
  208. text-decoration: none;
  209. text-transform: uppercase;
  210. white-space: nowrap;
  211. letter-spacing: 0.05em;
  212. }
  213. a.header_button:hover{
  214. color: #ffff00;
  215. background-color: #888888;
  216. border-color: #888888;
  217. outline: 0;
  218. }
  219. /* parent: page_header */
  220. div.header_donate_strip{
  221. display:inline;
  222. float:right;
  223. }
  224. /* parent: header_donate_strip */
  225. form.header_paypal{
  226. display:inline;
  227. }
  228. /* parent: header_donate_strip */
  229. a.header_patreon{
  230. }
  231. a.header_patreon:hover{
  232. }
  233. /* parent: page_body */
  234. div.page_content{
  235. position:relative;
  236. top: 0;
  237. height: 100%;
  238. width: 100%;
  239. margin-top: 72px;
  240. }
  241. /* parent: page_content */
  242. div.post_content{
  243. position: static;
  244. padding:8px 24px;
  245. max-width: 840px;
  246. margin: 0 auto;
  247. clear: left;
  248. }
  249. /* parent: page_content */
  250. div.modules_content{
  251. width: 100%;
  252. height: 100%;
  253. height: calc(100% - 72px);
  254. position: relative;
  255. }
  256. /* parent: modules_content */
  257. div.modules_nav_wrapper{
  258. position:absolute;
  259. left:0;
  260. bottom: 0;
  261. width:299px;
  262. height:100%;
  263. padding:16px 12px;
  264. border-right:1px solid #8888;
  265. overflow:auto;
  266. -webkit-overflow-scrolling:touch;
  267. }
  268. /* parent: modules_nav_wrapper */
  269. div.modules_nav_tree{
  270. border:0;
  271. width:100%;
  272. }
  273. /* parent: modules_content */
  274. div.modules_docs_wrapper{
  275. position:absolute;
  276. left:300px;
  277. right:0;
  278. height:100%;
  279. padding:0;
  280. border:0;
  281. margin:0;
  282. overflow:auto;
  283. -webkit-overflow-scrolling:touch;
  284. }
  285. /* parent: modules_docs_wrapper */
  286. iframe.modules_docs_iframe{
  287. display:block;
  288. width:100%;
  289. height:100%;
  290. padding:0;
  291. border:0;
  292. margin:0;
  293. }
  294. iframe.header{
  295. display:block;
  296. width:100%;
  297. height:72px;
  298. padding:0;
  299. border:0;
  300. margin:0;
  301. }
  302. /* parent: modules_docs_iframe */
  303. body.docs_body{
  304. width:100%;
  305. padding:12px 24px;
  306. }
  307. /* parent: docs_body */
  308. div.docs_content{
  309. }
  310. /* page styles */
  311. body.page-modules-reference {
  312. overflow: hidden;
  313. width:100%;
  314. height:100%;
  315. }
  316. body.page-language-reference {
  317. overflow: hidden;
  318. width:100%;
  319. height:100%;
  320. }
  321. body.forums.post_content {
  322. max-width: 1100px;
  323. }
  324. div.toc{
  325. display:none;
  326. }